package com.bonus.canteen.core.order.deprecated.vo;

import com.bonus.canteen.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptField;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.util.List;

@LeNiuDecryptDataProcess
public class OrdCurrentReserveMacVO {
   @ApiModelProperty("商家订单号")
   private Long ordId;
   @LeNiuDecryptField
   @ApiModelProperty("下单人员姓名")
   private String custName;
   @ApiModelProperty("机构全称")
   private String orgFullName;
   @ApiModelProperty("来源类型 如钉钉、小程序等")
   private Integer sourceType;
   private LocalDate orderDate;
   @ApiModelProperty("订单明细列表")
   private List<OrdMacDtlVO> ordDetailList;

   public Long getOrdId() {
      return this.ordId;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public Integer getSourceType() {
      return this.sourceType;
   }

   public LocalDate getOrderDate() {
      return this.orderDate;
   }

   public List<OrdMacDtlVO> getOrdDetailList() {
      return this.ordDetailList;
   }

   public void setOrdId(final Long ordId) {
      this.ordId = ordId;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }

   public void setSourceType(final Integer sourceType) {
      this.sourceType = sourceType;
   }

   public void setOrderDate(final LocalDate orderDate) {
      this.orderDate = orderDate;
   }

   public void setOrdDetailList(final List<OrdMacDtlVO> ordDetailList) {
      this.ordDetailList = ordDetailList;
   }

}
